#!/bin/bash

REL_TYPE="$1"
SCRIPTS_DIR=$(cd "$(dirname "$0")" && pwd) || exit
PROJECT_HOME="$SCRIPTS_DIR/.."
FILES_DIR="$PROJECT_HOME/container/$REL_TYPE"
APP_DIR="$PROJECT_HOME/app"
APP_NAME=$(cd $APP_DIR && yq -r '.name' pubspec.yaml)
IMAGE_NAME="${APP_NAME}_${REL_TYPE//release/rel}_image"
IMAGE_TAG="latest"
IMAGE_ARCHIVE_FILE="$FILES_DIR/${IMAGE_NAME}.tar"

source "$SCRIPTS_DIR"/util.sh
"$SCRIPTS_DIR"/build_base_container_image.sh

podman rmi "localhost/$IMAGE_NAME":"$IMAGE_TAG"
podman build -t "$IMAGE_NAME":"$IMAGE_TAG" \
                -f "$FILES_DIR/Dockerfile" \
                "$FILES_DIR"

rm -rf "$IMAGE_ARCHIVE_FILE"
podman save -o "$IMAGE_ARCHIVE_FILE" "localhost/$IMAGE_NAME":"$IMAGE_TAG"
